Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceAccount

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount
ru.bitel.bgbilling.modules.voice.common.bean.VoiceAccount

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceAccount>`, `TreeNode<VoiceAccount>`

    public class VoiceAccount
    extends AbtractVoiceAccount
    implements Node<VoiceAccount>, java.lang.Cloneable

Базовый account, который добавляется на договор и представляет собой сущность, аналогичную поинту/правилу в модуле Phone и логин в модуле VoiceIP

See Also:
  Serialized Form

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static short` | `STATE_DELETED` | Состояние сервиса - удален (со связанных устройств).
  `static short` | `STATE_DISABLE` | Состояние сервиса/соединения - доступ отключен.
  `static short` | `STATE_ENABLE` | Состояние сервиса/соединения - доступ включен.
  `static int` | `STATUS_ACTIVE` |
  `static int` | `STATUS_BLOCKED` |
  `static int` | `STATUS_CLOSE` |

  ### Fields inherited from class ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

  `contractComment, deviceId`

  ### Fields inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `entitySpecId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `VoiceAccount()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.Object` | `clone()` |
  `void` | `copyTo​(VoiceAccount voiceAccount)` |
  `int` | `getAccessCode()` |
  `java.util.List<VoiceAccount>` | `getChildren()` |
  `java.lang.String` | `getComment()` | Получение комментария аккаунта.
  `int` | `getContractObjectId()` |
  `short` | `getDeviceState()` |
  `int` | `getLineCount()` |
  `java.lang.String` | `getLogin()` | Получение логина, привязанного на договор
  `long` | `getNumber()` | Получение номера телефона, привязанного к договору
  `int` | `getParentId()` |
  `java.lang.String` | `getPassword()` | Получение пароля аккаунта.
  `java.util.List<VoiceAccountPort>` | `getPortList()` |
  `java.lang.String` | `getPorts()` |
  `byte` | `getSessionCountLimit()` |
  `int` | `getStatus()` |
  `void` | `setAccessCode​(int accessCode)` |
  `void` | `setChildren​(java.util.List<VoiceAccount> children)` |
  `void` | `setComment​(java.lang.String comment)` | Установка комментария для аккаунта
  `void` | `setContractObjectId​(int contractObjectId)` |
  `void` | `setDeviceState​(short deviceState)` |
  `void` | `setLineCount​(int value)` |
  `void` | `setLogin​(java.lang.String login)` | Установка логина
  `void` | `setNumber​(long number)` | Установка номера телефона для договора
  `void` | `setParentId​(int parentId)` |
  `void` | `setPassword​(java.lang.String passwd)` | Установка пароля для аккаунта.
  `void` | `setPortList​(java.util.List<VoiceAccountPort> portList)` |
  `void` | `setPorts​(java.lang.String ports)` |
  `void` | `setSessionCountLimit​(byte sessionCountLimit)` |
  `void` | `setStatus​(int status)` |
  `java.lang.String` | `toString()` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.AbtractVoiceAccount

  `copyTo, getContractComment, getContractId, getContractTitle, getDateFrom, getDateTo, getDeviceId, getTypeId, setContractComment, setContractId, setContractTitle, setDateFrom, setDateTo, setDeviceId, setTypeId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setTitle, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### STATUS_ACTIVE

    public static final int STATUS_ACTIVE
    See Also:
      Constant Field Values

  - ### STATUS_CLOSE

    public static final int STATUS_CLOSE
    See Also:
      Constant Field Values

  - ### STATUS_BLOCKED

    public static final int STATUS_BLOCKED
    See Also:
      Constant Field Values

  - ### STATE_DELETED

    public static final short STATE_DELETED
    Состояние сервиса - удален (со связанных устройств).
    See Also:
      Constant Field Values

  - ### STATE_DISABLE

    public static final short STATE_DISABLE
    Состояние сервиса/соединения - доступ отключен.
    See Also:
      Constant Field Values

  - ### STATE_ENABLE

    public static final short STATE_ENABLE
    Состояние сервиса/соединения - доступ включен.
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### VoiceAccount

    public VoiceAccount()

- ## Method Details

  - ### getComment

    public java.lang.String getComment()
    Получение комментария аккаунта.
    Returns:
      комментарий аккаунта

  - ### setComment

    public void setComment​(java.lang.String comment)
    Установка комментария для аккаунта
    Parameters:
      `comment` - коммментарий

  - ### getNumber

    public long getNumber()
    Получение номера телефона, привязанного к договору
    Returns:
      строка с номером телефона

  - ### setNumber

    public void setNumber​(long number)
    Установка номера телефона для договора
    Parameters:
      `number` - номер телефона

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### clone

    public java.lang.Object clone() throws java.lang.CloneNotSupportedException
    Overrides:
      `clone` in class `java.lang.Object`
    Throws:
      `java.lang.CloneNotSupportedException`

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### getDeviceState

    public short getDeviceState()

  - ### setDeviceState

    public void setDeviceState​(short deviceState)

  - ### getAccessCode

    public int getAccessCode()

  - ### setAccessCode

    public void setAccessCode​(int accessCode)

  - ### getChildren

    public java.util.List<VoiceAccount> getChildren()
    Specified by:
      `getChildren` in interface `TreeNode<VoiceAccount>`

  - ### getParentId

    public int getParentId()
    Specified by:
      `getParentId` in interface `Node<VoiceAccount>`

  - ### setParentId

    public void setParentId​(int parentId)

  - ### setChildren

    public void setChildren​(java.util.List<VoiceAccount> children)
    Specified by:
      `setChildren` in interface `Node<VoiceAccount>`

  - ### getLogin

    public java.lang.String getLogin()
    Получение логина, привязанного на договор
    Returns:
      логин

  - ### setLogin

    public void setLogin​(java.lang.String login)
    Установка логина
    Parameters:
      `login` - логин

  - ### getPassword

    public java.lang.String getPassword()
    Получение пароля аккаунта.
    Returns:
      пароль.

  - ### setPassword

    public void setPassword​(java.lang.String passwd)
    Установка пароля для аккаунта.
    Parameters:
      `passwd` - пароль

  - ### getSessionCountLimit

    public byte getSessionCountLimit()

  - ### setSessionCountLimit

    public void setSessionCountLimit​(byte sessionCountLimit)

  - ### getPorts

    public java.lang.String getPorts()

  - ### setPorts

    public void setPorts​(java.lang.String ports)

  - ### getPortList

    public java.util.List<VoiceAccountPort> getPortList()

  - ### setPortList

    public void setPortList​(java.util.List<VoiceAccountPort> portList)

  - ### getContractObjectId

    public int getContractObjectId()

  - ### setContractObjectId

    public void setContractObjectId​(int contractObjectId)

  - ### getLineCount

    public int getLineCount()

  - ### setLineCount

    public void setLineCount​(int value)

  - ### copyTo

    public void copyTo​(VoiceAccount voiceAccount)